PAT not working

Whenh I try to push some change, I get the following error:

Source\GAKLIB>git push --set-upstream origin DeleteMe
remote: Support for password authentication was removed on August 13, 2021. Please use a personal access token instead.
remote: Please see Token authentication requirements for Git operations | The GitHub Blog for more information.
fatal: unable to access ‘https://github.com/mgaeckler1964/gaklib.git/’: The requested URL returned error: 403

I have installed the latest version and I have created a personal access token but I will not asked for a user name an password.

Thank You for well documenting the process.

That’s because your previous account and password are still stored by the Git credentials manager. You need to delete your cached password so that Git will ask you again for it, and then use your account and the PAT (instead of the password).

Where these credentials are stored depends on various factors: your OS, the Git package and/or applications you’re using, etc.

You should start by querying Git about your credentials settings, then you’ll be able to either interact with the credentials manager and fix the problem, or manually open and edit the credential files via an editor

https://git-scm.com/docs/gitcredentials

Thanks.
The documentation did not really help. Nevertheless I found a solution:
I removed the content of section [credential] of the file ~/.gitconfig. It was only one line
store
Afterwards git asked me for the token. I hope this will work for all my repositories.
Regards Martin